| Home | Libraries | People | FAQ | More

##### windows::basic_random_access_handle::write_some_at (2 of 2 overloads)

Write some data to the handle at the specified offset.

    template<
        typename ConstBufferSequence>
    std::size_t write_some_at(
        uint64_t offset,
        const ConstBufferSequence & buffers,
        boost::system::error_code & ec);

This function is used to write data to the random-access handle. The function call will block until one or more bytes of the data has been written successfully, or until an error occurs.

###### Parameters

offset

  The offset at which the data will be written.

buffers

  One or more data buffers to be written to the handle.

ec

  Set to indicate what error occurred, if any.

###### Return Value

The number of bytes written. Returns 0 if an error occurred.

###### Remarks

The write_some operation may not transmit all of the data to the peer. Consider using the `write_at` function if you need to ensure that all data is written before the blocking operation completes.